Package com.orchestranetworks.workflow

# Class WaitTaskResumeMessage

java.lang.Object
com.orchestranetworks.workflow.WaitTaskResumeMessage

public final class WaitTaskResumeMessage extends Object
Represents the message given to resume a wait task.

A `WaitTaskResumeMessage` is required to resume a wait task. This message defines:

- the resume identifier associated with the wait task to resume,
- the output parameters to use to update the data context of the associated workflow.

Since:
  5.6.1
See Also:
  - `WorkflowEngine.resumeWaitTask(WaitTaskResumeMessage)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WaitTaskResumeMessage(String anResumeId)`
  Instantiates a `WaitTaskResumeMessage` with the specified resume identifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getOutputParameters()`
  Returns the output parameters given to resume the wait task.
  `String`
  `getResumeId()`
  Returns the resume identifier given to resume the wait task.
  `void`
  `setOutputParameters(Map<String,String> aParametersMap)`
  Sets the parameters to use to update the data context of the associated workflow.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WaitTaskResumeMessage

    public WaitTaskResumeMessage(String anResumeId)
    Instantiates a `WaitTaskResumeMessage` with the specified resume identifier.

- ## Method Details

  - ### getResumeId

    public String getResumeId()
    Returns the resume identifier given to resume the wait task.

  - ### setOutputParameters

    public void setOutputParameters(Map<String,String> aParametersMap)
    Sets the parameters to use to update the data context of the associated workflow.

    By default, an automatic mapping is done with the data context variables: see `WaitTaskBean.onResume(WaitTaskOnResumeContext)`.

    Parameters:
      `aParametersMap` - a `Map` of parameters (key: parameter name, value: parameter value).

  - ### getOutputParameters

    public Map<String,String> getOutputParameters()
    Returns the output parameters given to resume the wait task.
    Returns:
      a `Map` of parameters (key: parameter name, value: parameter value).